To: "W.Locke" <W.locke@dial.pipex.com>
Cc: linux-m68k@phil.uni-sb.de
Subject: L68K: Re: 2.1.77 errors
References: <34B50182.MD-0.198.W.locke@dial.pipex.com>
From: Jes Sorensen <Jes.Sorensen@cern.ch>
Date: 09 Jan 1998 09:02:03 +0100
In-Reply-To: "W.Locke"'s message of 8 Jan 98 16:40:35 +0000
Sender: owner-linux-m68k@phil.uni-sb.de

>>>>> "W" == W Locke <W.locke@dial.pipex.com> writes:

W> Hey all HNY first of all, well i went on sunsite and found 2.1.77
W> went to compile it and came across this error..had a look and could
W> not figure it out %-)

Ok, could you try this patch please - I don't know if it actually
works as I don't have a 53C9x based controller handy but it looks like
the right thing to do when looking at the changes in 2.1.75.

Jes

--- /data/tmp/linux-2.1.77/drivers/scsi/NCR53C9x.c	Thu Oct 30 18:06:56 1997
+++ drivers/scsi/NCR53C9x.c	Fri Jan  9 08:55:05 1998
@@ -864,7 +864,7 @@
 	copy_info(&info, "Target #\tconfig3\t\tSync Capabilities\tDisconnect\tWide\n");
 	for(i = 0; i < 15; i++) {
 		if(esp->targets_present & (1 << i)) {
-			Scsi_Device *SDptr = scsi_devices;
+			Scsi_Device *SDptr = esp->ehost->host_queue;
 
 			while((SDptr->host != esp->ehost) &&
 			      (SDptr->id != i) &&
